Page MenuHomePhabricator

Remove Client IP from Eventlogging capsule {mole}
Closed, ResolvedPublic5 Estimate Story Points

Description

We decided to remove ClientIP's altogether from Eventlogging capsule altogether on T126366: Add IP field only to schemas that need it. Remove it from EL capsule and do not collect it by default {mole}. @leila let's block this task on the completion of QuickSurvey data collection.

In this task, we'll only make configuration changes, and may be fix tests(?) - and drop the field from the capsule. There's a subtask that we'll use to clean up and refactor existing code to remove the IP hasher related stuff from EL.

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 29 2016, 8:45 PM

@madhuvishy I added the blocking task T125946. It's marked as resolved but it's not. It will be on March 8 or at the latest on March 14. I'll update this thread.

leila moved this task from Staged to Radar on the Research board.

Change 274152 had a related patch set uploaded (by Madhuvishy):
[WIP] Ignore client IP while parsing events

https://gerrit.wikimedia.org/r/274152

Change 274152 merged by Ottomata:
Add a format specifier that indicates to parser to ignore the value

https://gerrit.wikimedia.org/r/274152

Milimetric set the point value for this task to 5.Mar 3 2016, 5:19 PM
leila added a comment.Mar 4 2016, 5:11 PM

@madhuvishy FYI, our survey tracked in T125946 is scheduled to stop on Monday, 2016-03-07 in the 16:00-17:00 PST SWAT Deploy time slot.

Thanks @leila :) @Nuria @Ottomata should we start this deployment process tomorrow (Tuesday)? The plan is here - https://etherpad.wikimedia.org/p/el-clientips-drop

Nuria added a comment.Mar 8 2016, 3:35 AM

I am for deploying, let's check at every step that things are proceeding as they should.

Yeah! let’s do it! After standup?

Change 275892 had a related patch set uploaded (by Ottomata):
Remove clientIp from EventLogging varnishkafka format

https://gerrit.wikimedia.org/r/275892

Change 275893 had a related patch set uploaded (by Madhuvishy):
Update EventCapsule version after dropping clientIP

https://gerrit.wikimedia.org/r/275893

Change 275893 merged by Ottomata:
Update EventCapsule version after dropping clientIP

https://gerrit.wikimedia.org/r/275893

Change 275892 merged by Ottomata:
Remove clientIp from EventLogging varnishkafka format

https://gerrit.wikimedia.org/r/275892

Change 276244 had a related patch set uploaded (by Ottomata):
Remove etcd usage from eventlogging processor

https://gerrit.wikimedia.org/r/276244

Change 276244 merged by Ottomata:
Remove etcd usage from eventlogging processor

https://gerrit.wikimedia.org/r/276244

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Mar 9 2016, 8:29 PM
ggellerman moved this task from Backlog to Radar on the Research-Backlog board.Mar 17 2016, 10:27 PM
Nuria closed this task as Resolved.Mar 22 2016, 7:14 PM